Subject: postgres v4r2

From: Kai Petzke <[email-masked]>
Date: Fri, 1 Jul 1994 15:01:51 +0100 (MDT)

Hi,

I have just seen the message, that postgres v4r2 has been
released.  Due to the limited bandwidth on my site (hah!
understatement!) I will not be able to start downloading
before tonight.

I hope, I will have things going before Monday.  Once the
files reach ftp.lysator.liu.se, I will ask the admins at
sunsite and tsx-11 to mirror this site.

Packaging: If nobody objects, I will do the same packages,
as I did with 4.0.1: one source module, one binary module,
and seperate documentation and demos.

I want to create an "newbie" file as well.  It should
contain the most usefull stuff; as much as fits on a
single floppy disk:
- binaries
- a preloaded database (how about the Linux Software Map?)
- spog
- pgbrowse
- some of the demos

In other words: you could grab that file, copy it on a
floppy disk, go home, unpack, and enjoy.

So far I can see, there is one problem: the postgres user
ID.  A preloaded database requires us to use a fixed user
ID for the distribution.  My proposols are 42 or 4321:

- on most systems, about 20 special user ID's are assigned
  (man, news, uucp, mail, ...)
- normal user ID's are assigned starting with 50, 100, 200
  or 1000, depending, on the scripts you use for that
  purpose.
- 42 is the finite answer.
- 4321 is the postgres port number.

What are your opinions?

Berkeley has also said, that they will release the complete
postgres RCS logs into the public domain (they formulated it
different, saying, that everybody could claim ownership.  I
hope, that I am not getting things wrong).  I will try to get
a copy of these, and I hope, that I will find the time to make
my promise true (work on postgres!).

I vote for putting our version of postgres under the GPL,
while libpq should be GLPL'ed.  That would allow companies
to interface their applications to the postgres database.
However, if they write an extension to postgres itself,
whether it is "only" a new data type or an SQL parser,
they had to release the source of the modified version.

Kai